Name:           gmpc
Summary:        GNOME frontend for the MPD
Version:        0.16.1
Release:        2%{?dist}

License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://gmpcwiki.sarine.nl/

Source0:        http://download.sarine.nl/download/Programs/gmpc/0.16.1/gmpc-0.16.1.tar.gz
Source1:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-alarm-0.16.0.tar.gz
Source2:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-avahi-0.16.0.tar.gz
Source3:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-coveramazon-0.16.0.tar.gz
Source4:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-extraplaylist-0.16.0.tar.gz
Source5:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-jamendo-0.16.0.tar.gz
Source6:        http://download.sarine.nl/download/Programs/gmpc/0.16.1/gmpc-last.fm-0.16.1.tar.gz
Source7:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-libnotify-0.16.0.tar.gz
#Source8:       gmpc-lirc-0.16.0.tar.gz
Source9:        http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-lyrics-0.16.0.tar.gz
Source10:       http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-lyricwiki-0.16.0.tar.gz
Source11:       http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-magnatune-0.16.0.tar.gz
Source12:       http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-mdcover-0.16.0.tar.gz
Source13:       http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-osd-0.16.0.tar.gz
Source14:       http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-serverstats-0.16.0.tar.gz
Source15:       http://download.sarine.nl/download/Programs/gmpc/0.16.0/gmpc-shout-0.16.0.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scrollkeeper, gtk2-devel, libglade2-devel
BuildRequires:  gettext, gnome-vfs2-devel, desktop-file-utils
BuildRequires:  perl-XML-Parser, findutils
BuildRequires:  curl-devel, xosd-devel, libSM-devel
BuildRequires:  avahi-glib-devel, libnotify-devel
BuildRequires:  gob2
BuildRequires:  json-glib-devel
BuildRequires:  libmpd-devel >= 0.16.1

%description
Gmpc is a GNOME client for the Music Player Daemon
Features :
 * Support for loading/saving playlists.
 * File Browser
 * Browser based on ID3 information. (on artist and albums)
 * Search
 * Current playlist viewer with search.
 * ID3 information
 * Lots more

%package devel
Summary:  Development files for gmpc
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files necessary for developing gmpc plugins.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15

%build
%configure --disable-dependency-tracking
make %{?_smp_mflags} LDFLAGS=-Wl,--export-dynamic
ln -s src gmpc
ln -s . src/gob/gmpc
export PKG_CONFIG_PATH="$PWD/data"
export CFLAGS="-I$PWD -I$PWD/src/gob -I$PWD/src"
for i in \
	gmpc-alarm-0.16.0 \
	gmpc-avahi-0.16.0 \
	gmpc-coveramazon-0.16.0 \
	gmpc-extraplaylist-0.16.0 \
	gmpc-jamendo-0.16.0 \
	gmpc-last.fm-0.16.1 \
	gmpc-libnotify-0.16.0 \
	gmpc-lyrics-0.16.0 \
	gmpc-lyricwiki-0.16.0 \
	gmpc-magnatune-0.16.0 \
	gmpc-mdcover-0.16.0 \
	gmpc-osd-0.16.0 \
	gmpc-serverstats-0.16.0 \
	gmpc-shout-0.16.0 ; do
	pushd $i
	%configure
	make %{?_smp_mflags}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# this is the default search path
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
# rpmlint complains if arch-dependent files are in %{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

for i in \
	gmpc-alarm-0.16.0 \
	gmpc-avahi-0.16.0 \
	gmpc-coveramazon-0.16.0 \
	gmpc-extraplaylist-0.16.0 \
	gmpc-jamendo-0.16.0 \
	gmpc-last.fm-0.16.1 \
	gmpc-libnotify-0.16.0 \
	gmpc-lyrics-0.16.0 \
	gmpc-lyricwiki-0.16.0 \
	gmpc-magnatune-0.16.0 \
	gmpc-mdcover-0.16.0 \
	gmpc-osd-0.16.0 \
	gmpc-serverstats-0.16.0 \
	gmpc-shout-0.16.0 ; do
	pushd $i
	find . -name *so -exec cp {} $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins \;
	popd
done
install -p -D gmpc-serverstats-0.16.0/data/mpd.png $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/serverstats/mpd.png
install -p -D gmpc-magnatune-0.16.0/data/magnatune.png $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/magnatune/magnatune.png
install -p -D gmpc-magnatune-0.16.0/data/xdg-open $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/magnatune/xdg-open
install -p -D gmpc-jamendo-0.16.0/data/jamendo.png $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/jamendo/jamendo.png

%find_lang %{name}

desktop-file-install  --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT%{_datadir}/applications/gmpc.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_bindir}/%name-remote
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/icons/*/*/*/*

%files devel
%defattr(0644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Adrian Reber <adrian@lisas.de> - 0.16.1-1
- updated to 0.16.1

* Wed Oct 01 2008 Adrian Reber <adrian@lisas.de> - 0.15.5.0-4
- re-created patch to apply cleanly (fixes #465008)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.15.5.0-3
- Autorebuild for GCC 4.3

* Fri Feb 15 2008 Adrian Reber <adrian@lisas.de> - 0.15.5.0-2
- rebuilt for gcc43

* Sun Dec 23 2007 Adrian Reber <adrian@lisas.de> - 0.15.5.0-1
- updated to 0.15.5.0
- this should fix #242226
- added six more plugins (wikipedia, random-playlist, 
  mserver, libnotify, favorites, extraplaylist)
- added BR libnotify-devel for libnotify plugin

* Sun Nov 11 2007 Adrian Reber <adrian@lisas.de> - 0.15.1-1
- update to 0.15.1
- dropped gmpc-fix-album-play-order.diff patch
- two more plugins (avahi, shout)

* Fri Aug 24 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-3
- rebuilt

* Wed Jun 20 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-2
- applied patch to fix album play order from David Woodhouse

* Sun Mar 25 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-1
- updated to 0.14.0
- added more plugins
- fixed #233837 (gmpc-devel: unowned directory)

* Sat Dec 09 2006 Adrian Reber <adrian@lisas.de> - 0.13.0-1
- updated to 0.13.0
- created devel package for header files
- removed X-Fedora from desktop-file-install
- added some plugins and moved the plugins to %%{_libdir}/%%{name}/plugins

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-6
- BR: perl-XML-Parser

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-5
- rebuild

* Thu Mar 23 2006 Jonathan Dieter <jdieter99[AT]gmx.net> 0.11.2-4
- fix dynamic linking bug

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-3
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.2-0.fdr.1
- initial Fedora release (from Mandrake)
